summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/tdenetwork/debian/lisa-trinity.init
diff options
context:
space:
mode:
authoralbator <albator@arcadia.vtf>2011-11-05 11:51:44 +0100
committeralbator <albator@arcadia.vtf>2011-11-05 11:51:44 +0100
commit70bc259aa3f4dbd83bd239030690759449ee714b (patch)
treeb61af2d70c64ca12dbec49053c0b20dae8ba7926 /ubuntu/maverick/tdenetwork/debian/lisa-trinity.init
parent1f3a44f73fa43d3c30f47ff8c4f5c414d83f4765 (diff)
parent169853a068683db6540e3b77542d5139bb7867d1 (diff)
downloadtde-packaging-70bc259aa3f4dbd83bd239030690759449ee714b.tar.gz
tde-packaging-70bc259aa3f4dbd83bd239030690759449ee714b.zip
Merge branch 'master' of http://scm.trinitydesktop.org/scm/git/tde-packaging
Diffstat (limited to 'ubuntu/maverick/tdenetwork/debian/lisa-trinity.init')
-rw-r--r--ubuntu/maverick/tdenetwork/debian/lisa-trinity.init114
1 files changed, 114 insertions, 0 deletions
diff --git a/ubuntu/maverick/tdenetwork/debian/lisa-trinity.init b/ubuntu/maverick/tdenetwork/debian/lisa-trinity.init
new file mode 100644
index 000000000..54212288a
--- /dev/null
+++ b/ubuntu/maverick/tdenetwork/debian/lisa-trinity.init
@@ -0,0 +1,114 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: lisa-trinity
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+### END INIT INFO
+
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/lisa
+NAME=lisa-trinity
+PIDFILE=/var/run/$NAME.pid
+DESC="LAN Information Server"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+is_running ()
+{
+ if [ -e "$PIDFILE" ]
+ then
+ #checking if program is running
+ if [ -L /proc/`cat $PIDFILE`/exe ]
+ then
+ #checking for stale pidfile
+ if grep -q $NAME /proc/`cat $PIDFILE`/cmdline
+ then
+ #program is running and is called lisa
+ return 0
+ fi
+ fi
+ rm -f $PIDFILE
+ fi
+ #program is not running
+ return 1
+}
+
+case "$1" in
+ start)
+ if is_running
+ then
+ echo "$DESC is already running. Not doing anything"
+ exit 0
+ fi
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON \
+ > /dev/null
+ echo $(pidof lisa) > $PIDFILE
+ echo "$NAME."
+ ;;
+ stop)
+ if ! is_running
+ then
+ echo "$DESC is not running. Not doing anything"
+ exit 0
+ fi
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE \
+ --exec $DAEMON
+ rm -f $PIDFILE
+ echo "$NAME."
+ ;;
+ reload|force-reload)
+ echo "Reloading $DESC configuration files."
+ start-stop-daemon --stop --quiet --signal 1 --pidfile $PIDFILE \
+ --exec $DAEMON
+ ;;
+ status)
+ echo -n "$DESC is "
+ if ! is_running
+ then
+ echo -n "not "
+ fi
+ echo "running."
+
+ ;;
+ restart)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE \
+ --exec $DAEMON
+ rm -f $PIDFILE
+ sleep 1
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON \
+ > /dev/null
+ echo $(pidof lisa) > $PIDFILE
+ echo "$NAME."
+ ;;
+ cond-restart)
+ if ! is_running
+ then
+ echo "$DESC is not running. Not doing anything"
+ exit 0
+ fi
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE \
+ --exec $DAEMON
+ rm -f $PIDFILE
+ sleep 1
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON \
+ > /dev/null
+ echo $(pidof lisa) > $PIDFILE
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|cond-restart|status|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0